### Virtual Method

# Gdk ContentProvider write_mime_type_async

#### Declaration [src]

    void
    write_mime_type_async (
      GdkContentProvider* provider,
      const char* mime_type,
      GOutputStream* stream,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously writes the contents of `provider` to `stream` in the given `mime_type`.

When the operation is finished `callback` will be called. You must then call gdk_content_provider_write_mime_type_finish() to get the result of the operation.

The given mime type does not need to be listed in the formats returned by gdk_content_provider_ref_formats(). However, if the given `GType` is not supported, `G_IO_ERROR_NOT_SUPPORTED` will be reported.

The given `stream` will not be closed.

#### Parameters

`mime_type` | `const char*`
| The mime type to provide the data in.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`stream` | `GOutputStream*`
| The `GOutputStream` to write to.
| The data is owned by the caller of the function.
`io_priority` | `int`
| I/O priority of the request.
`cancellable` | `GCancellable*`
| Optional `GCancellable` object, `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call when the request is satisfied.
`user_data` | `gpointer`
| The data to pass to callback function.